qmf::Data Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::Data Class Reference

`#include <qmf/Data.h>`

List of all members.

## Public Member Functions
| Data (DataImpl *impl=0)
| Data (const Data &)
Data & | operator= (const Data &)
| ~Data ()
| Data (const Schema &)
void | setAddr (const DataAddr &)
void | setProperty (const std::string &, const qpid::types::Variant &)
void | overwriteProperties (const qpid::types::Variant::Map &)
bool | hasSchema () const
bool | hasAddr () const
const SchemaId & | getSchemaId () const
const DataAddr & | getAddr () const
const qpid::types::Variant & | getProperty (const std::string &) const
const qpid::types::Variant::Map & | getProperties () const
bool | hasAgent () const
const Agent & | getAgent () const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::Data::Data | ( | DataImpl * | impl = `0` | ) |

qmf::Data::Data | ( | const Data & |  | ) |

qmf::Data::~Data | ( |  | ) |

qmf::Data::Data | ( | const Schema & |  | ) |

## Member Function Documentation

const DataAddr& qmf::Data::getAddr | ( |  | ) | const

const Agent& qmf::Data::getAgent | ( |  | ) | const

const qpid::types::Variant::Map& qmf::Data::getProperties | ( |  | ) | const

const qpid::types::Variant& qmf::Data::getProperty | ( | const std::string & |  | ) | const

const SchemaId& qmf::Data::getSchemaId | ( |  | ) | const

bool qmf::Data::hasAddr | ( |  | ) | const

bool qmf::Data::hasAgent | ( |  | ) | const

bool qmf::Data::hasSchema | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

Data& qmf::Data::operator= | ( | const Data & |  | ) |

void qmf::Data::overwriteProperties | ( | const qpid::types::Variant::Map & |  | ) |

void qmf::Data::setAddr | ( | const DataAddr & |  | ) |

void qmf::Data::setProperty | ( | const std::string & | ,
|  | const qpid::types::Variant & |
| ) |  |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/Data.h